Imports System.Data.Services
Imports System.Data.Services.Common

Namespace WCFDataServiceExample
	Public Class NorthwindService
		Inherits DataService(Of NorthwindEntities)

		' This method is called only once to initialize service-wide policies.
		Public Shared Sub InitializeService(ByVal config As DataServiceConfiguration)
			' Give readonly access to all of the entities
			config.SetEntitySetAccessRule("*", EntitySetRights.All)

			' Pagesize will change the max number of rows returned
			config.SetEntitySetPageSize("*", 25)

			config.DataServiceBehavior.MaxProtocolVersion = DataServiceProtocolVersion.V2
		End Sub
	End Class
End Namespace
